Bug 351911 - RHEL4.6: AD1984 HDAudio does not work on AMD Trevally Board(RS690 + SB700)
Summary: RHEL4.6: AD1984 HDAudio does not work on AMD Trevally Board(RS690 + SB700)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.5
Hardware: All
OS: Linux
low
high
Target Milestone: ---
: ---
Assignee: Brian Maly
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On: 280381
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-25 08:43 UTC by Yang, Libin
Modified: 2009-06-20 01:30 UTC (History)
7 users (show)

Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 19:18:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
update the position_fix (453 bytes, patch)
2008-01-03 02:35 UTC, Yang, Libin
no flags Details | Diff
unmute the output nids in ad1984 codec (596 bytes, patch)
2008-01-03 02:35 UTC, Yang, Libin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0665 normal SHIPPED_LIVE Moderate: Updated kernel packages for Red Hat Enterprise Linux 4.7 2008-07-24 16:41:06 UTC

Description Yang, Libin 2007-10-25 08:43:35 UTC
Description of problem:
The Audio driver does not work well on Trevally board(RS690 + SB700) which uses
AD1984 as its HDAudio codec chip/PCM device. 

The symptom is:

The audio is abnormal, when a ".wav" file is being played, usually there
are many(10 or more or endless) abnormal loops of middle PART of its audio,
which make the audio turn out to be NOISE, here are some examples:

[root@localhost ~]# aplay /usr/share/sounds/startup3.wav 
Playing WAVE '/usr/share/sounds/startup3.wav' : Signed 16 bit Little Endian, 
Rate 44100 Hz, Stereo
aplay: pcm_write:1115: write error: Input/output error

[root@localhost ~]# aplay XP_startup.wav 
Playing WAVE 'XP_startup.wav' : Signed 16 bit Little Endian, Rate 22050 Hz, 
Stereo
aplay: pcm_write:1115: write error: Input/output error

[root@localhost ~]# aplay /usr/share/sounds/KDE_Startup.wav 
Playing WAVE '/usr/share/sounds/KDE_Startup.wav' : Signed 16 bit Little 
Endian, Rate 22050 Hz, Mono
(comment by Shane: endless loop playing of KDE_Startup.wav)


Additional info:

Sound card seems can be recognized correctly:
[root@localhost ~]# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: SB [HDA ATI SB], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: SB [HDA ATI SB], device 1: AD198x Digital [AD198x Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
[root@localhost ~]#

Comment 1 Shane Huang 2007-10-26 02:35:41 UTC
this BZ was created with the comment #32 of BZ# 280381


Comment 3 Yang, Libin 2008-01-03 02:35:01 UTC
Created attachment 290693 [details]
update the position_fix

Comment 4 Yang, Libin 2008-01-03 02:35:59 UTC
Created attachment 290694 [details]
unmute the output nids in ad1984 codec

Comment 5 Yang, Libin 2008-01-03 02:42:18 UTC
I have uploaded 2 patches for this bug. The two patches can fix this bug. 
Please check.

Comment 6 Bhavna Sarathy 2008-01-03 15:06:51 UTC
These patches are for R4.7.  Russ, please add to 4.7 master bug tracker.

Libin, is the Intel fix necessary for the Trevally board to work?


Comment 7 Yang, Libin 2008-01-04 01:30:42 UTC
Yes, the two patches are both needed. 
The patch "update the position_fix" is the root cause. This such bug has already
been fixed by ALSA long before. Actually you will find the code
"azx_dev->period_intr++;" in hda_intel.patch is included in the current ALSA
1.0.15. This code is missed when back porting.

Comment 8 Brian Maly 2008-02-15 15:38:46 UTC
Devel ACK for 4.7 on condition that ALSA 1.0.15 works properly on this hardware.
The assumption here is that it does.

Comment 9 RHEL Program Management 2008-02-28 20:09:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 14 Shane Huang 2008-05-09 06:06:55 UTC
This bug has been fixed by kernel-smp-2.6.9-70.EL.x86_64.rpm
and kernel-smp-2.6.9-70.EL.i686.rpm

Thanks


Comment 15 Vivek Goyal 2008-05-16 17:49:43 UTC
Committed in 70.EL. RPMS are available at http://people.redhat.com/vgoyal/

Comment 17 errata-xmlrpc 2008-07-24 19:18:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Comment 18 Chris Ward 2008-07-29 07:28:56 UTC
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.


Note You need to log in before you can comment on or make changes to this bug.